| Home | Libraries | People | FAQ | More

## Global _ln

boost::xpressive::_ln — Matches a logical newline sequence.

## Synopsis

    unspecified _ln;

## Description

'_ln' matches a logical newline sequence. This can be any character in the line separator class, as determined by the regex traits, or the '\r\n' sequence. For the purpose of back-tracking, '\r\n' is treated as a unit. To match any one character that is not a logical newline, use ~_ln.

| Copyright © 2003, 2004 Eric Niebler